SELECT 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	C.PHYSICAL_NAME as "execute_timing", 
	D.ID, 
	D.LOGICAL_NAME, 
	D.PHYSICAL_NAME, 
	D.MEMO, 
	E.ID, 
	E.LOGICAL_NAME, 
	E.PHYSICAL_NAME, 
	E.MEMO, 
	F.ID, 
	F.LOGICAL_NAME, 
	F.PHYSICAL_NAME, 
	F.MEMO, 
	G.PHYSICAL_NAME as "user_error", 
	Z.BEFORE_DIALOG, 
	Z.AFTER_DIALOG, 
	Z.ERROR_DIALOG, 
	Z.PARAM, 
	Z.ENABLE
FROM 
	WEDGE_CS_EXECUTE_TIMING as Z
	Inner Join WEDGE_CS_ITEM as A on ( CHAR( A.ID ) = CHAR(Z.ITEM_ID) )
	Inner Join WEDGE_CS_COMPONENT as B on ( CHAR( B.ID ) = CHAR(A.COMPONENT_ID) and CHAR( B.ID ) = ? )
	Left Outer Join WEDGE_NAME as C on ( CHAR( C.VALUE ) = CHAR(Z.EXECUTE_TIMING) and CHAR( C.SEARCH_STRING ) = 'EXECUTE_TIMING' )
	Left Outer Join WEDGE_CS_CRULE as D on ( CHAR( D.ID ) = CHAR(Z.CRULE_ID) )
	Left Outer Join WEDGE_CS_CTRAN as E on ( CHAR( E.ID ) = CHAR(Z.CTRAN_ID) )
	Left Outer Join WEDGE_CS_ITEM as F on ( CHAR( F.ID ) = CHAR(Z.NEXT_ITEM_ID) )
	Left Outer Join WEDGE_NAME as G on ( CHAR( G.VALUE ) = CHAR(Z.USER_ERROR) and CHAR( G.SEARCH_STRING ) = 'CLIENT_USER_ERROR' )
WHERE 
	CHAR( Z.EXECUTE_TIMING ) = '2'
ORDER BY 
	Z.LINE
