SELECT 
	Z.EXECUTE_TIMING, 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	B.MEMO, 
	C.ID, 
	C.LOGICAL_NAME, 
	C.PHYSICAL_NAME, 
	C.MEMO, 
	D.PHYSICAL_NAME as "user_error", 
	Z.BEFORE_DIALOG, 
	Z.AFTER_DIALOG, 
	Z.ERROR_DIALOG, 
	Z.PARAM, 
	Z.ENABLE
FROM 
	WEDGE_CS_EXECUTE_TIMING as Z
	Left Outer Join WEDGE_CS_CRULE as A on ( CHAR( A.ID ) = CHAR(Z.CRULE_ID) )
	Left Outer Join WEDGE_CS_CTRAN as B on ( CHAR( B.ID ) = CHAR(Z.CTRAN_ID) )
	Left Outer Join WEDGE_CS_ITEM as C on ( CHAR( C.ID ) = CHAR(Z.NEXT_ITEM_ID) )
	Left Outer Join WEDGE_NAME as D on ( CHAR( D.VALUE ) = CHAR(Z.USER_ERROR) and CHAR( D.SEARCH_STRING ) = 'CLIENT_USER_ERROR' )
WHERE 
	CHAR( Z.ITEM_ID ) = ? AND 
	CHAR( Z.EXECUTE_TIMING ) = '2' 
ORDER BY 
	Z.LINE
