SELECT 
	G.ID, 
	G.PHYSICAL_NAME, 
	G.LOGICAL_NAME, 
	G.MEMO, 
	H.LOGICAL_NAME, 
	H.PHYSICAL_NAME, 
	H.MEMO, 
	H.CLASS_NAME, 
	H.SEARCH_STRING
FROM 
	WEDGE_CS_CTRAN "Z", 
	WEDGE_CS_SERVERSUB "A", 
	WEDGE_CS_STRAN "B", 
	WEDGE_CS_DECISION_TABLE "C", 
	WEDGE_CS_DECISION_TYPE "D", 
	WEDGE_CS_DECISION_DLCP "E", 
	WEDGE_CS_DLCP "F", 
	WEDGE_DAT_DLCP_H "G", 
	WEDGE_DLCP "H"
WHERE 
	Z.FRAME_ID = ? AND 
	A.PHYSICAL_NAME = Z.SERVERSUB_PNAME AND 
	B.SERVERSUB_ID = A.ID AND 
	B.PHYSICAL_NAME = Z.STRAN_PNAME AND 
	C.SERVERSUB_ID = A.ID AND 
	C.SERVER_TRAN_ID = B.ID AND 
	D.SERVERSUB_ID = A.ID AND 
	D.DECISION_TABLE_ID = C.ID AND 
	E.SERVERSUB_ID = A.ID AND 
	E.DECISION_TYPE_ID = D.ID AND 
	F.SERVERSUB_ID = A.ID AND 
	F.ID = E.DC_ID AND 
	G.ID = F.DLCP_ID AND 
	H.ID = G.COMM_ID
GROUP BY 
	G.ID, 
	G.PHYSICAL_NAME, 
	G.LOGICAL_NAME, 
	G.MEMO, 
	H.LOGICAL_NAME, 
	H.PHYSICAL_NAME, 
	H.MEMO, 
	H.CLASS_NAME, 
	H.SEARCH_STRING
ORDER BY 
	G.PHYSICAL_NAME
