SELECT 
	Z.EXECUTE_TIMING, 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	B.MEMO, 
	C.ID, 
	C.LOGICAL_NAME, 
	C.PHYSICAL_NAME, 
	C.MEMO, 
	D.PHYSICAL_NAME as "user_error", 
	Z.BEFORE_DIALOG, 
	Z.AFTER_DIALOG, 
	Z.ERROR_DIALOG, 
	Z.PARAM, 
	Z.ENABLE
FROM 
	WEDGE_CS_EXECUTE_TIMING "Z", 
	WEDGE_CS_CRULE "A", 
	WEDGE_CS_CTRAN "B", 
	WEDGE_CS_ITEM "C", 
	WEDGE_NAME "D"
WHERE 
	Z.FRAME_ID = ? AND 
	Z.EXECUTE_TIMING = 7 AND 
	A.ID (+)= Z.CRULE_ID AND 
	B.ID (+)= Z.CTRAN_ID AND 
	C.ID (+)= Z.NEXT_ITEM_ID AND 
	D.VALUE (+)= Z.USER_ERROR AND 
	D.SEARCH_STRING (+)= 'CLIENT_USER_ERROR'
ORDER BY 
	Z.LINE
