SELECT 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.FRAME_TYPE, 
	COUNT(A.ID) as "count"
FROM 
	WEDGE_CS_FRAME "A", 
	WEDGE_CS_CTRAN "B", 
	WEDGE_CS_STRAN "C", 
	WEDGE_CS_SERVERSUB "D"
WHERE 
	B.FRAME_ID = A.ID AND 
	C.PHYSICAL_NAME = B.STRAN_PNAME AND 
	C.SERVERSUB_ID = ? AND 
	D.ID = C.SERVERSUB_ID AND 
	D.PHYSICAL_NAME = B.SERVERSUB_PNAME
GROUP BY 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.FRAME_TYPE
ORDER BY 
	A.PHYSICAL_NAME
