SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO, 
	Z.REVISION, 
	Z.FRAME_TYPE, 
	count(H.ID) as "count"
FROM 
	WEDGE_CS_FRAME "Z", 
	WEDGE_CS_CTRAN "A", 
	WEDGE_CS_STRAN "B", 
	WEDGE_CS_SERVERSUB "C", 
	WEDGE_CS_DECISION_TABLE "D", 
	WEDGE_CS_DECISION_TYPE "E", 
	WEDGE_CS_DECISION_DLCP "F", 
	WEDGE_CS_DLCP "G", 
	WEDGE_DAT_DLCP_H "H"
WHERE 
	A.FRAME_ID = Z.ID AND 
	B.PHYSICAL_NAME = A.STRAN_PNAME AND 
	C.PHYSICAL_NAME = A.SERVERSUB_PNAME AND 
	D.SERVERSUB_ID = C.ID AND 
	D.SERVER_TRAN_ID = B.ID AND 
	E.DECISION_TABLE_ID = D.ID AND 
	F.DECISION_TYPE_ID = E.ID AND 
	G.ID = F.DC_ID AND 
	H.ID = G.DLCP_ID AND 
	H.ID = ?
GROUP BY 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO, 
	Z.REVISION, 
	Z.FRAME_TYPE
ORDER BY 
	Z.PHYSICAL_NAME
