SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO, 
	Z.REVISION, 
	Z.FRAME_TYPE, 
	count(H.ID) as "count"
FROM 
	WEDGE_CS_FRAME as Z
	Inner Join WEDGE_CS_CTRAN AS A ON ( A.FRAME_ID = Z.ID  )
	Inner Join WEDGE_CS_STRAN AS B ON ( B.PHYSICAL_NAME = A.STRAN_PNAME  )
	Inner Join WEDGE_CS_SERVERSUB AS C ON ( C.PHYSICAL_NAME = A.SERVERSUB_PNAME  )
	Inner Join WEDGE_CS_DECISION_TABLE AS D ON ( D.SERVERSUB_ID = C.ID  AND D.SERVER_TRAN_ID = B.ID  )
	Inner Join WEDGE_CS_DECISION_TYPE AS E ON ( E.DECISION_TABLE_ID = D.ID  )
	Inner Join WEDGE_CS_DECISION_DLCP AS F ON ( F.DECISION_TYPE_ID = E.ID  )
	Inner Join WEDGE_CS_DLCP AS G ON ( G.ID = F.DC_ID  )
	Inner Join WEDGE_DAT_DLCP_H AS H ON ( H.ID = G.DLCP_ID  AND H.ID = ?  )
GROUP BY 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO, 
	Z.REVISION, 
	Z.FRAME_TYPE
ORDER BY 
	Z.PHYSICAL_NAME
