<?xml version="1.0" encoding="shift_jis"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" > 
<xsl:import href="../xsl/common.xsl"/>
<xsl:output method="html" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" />

<!-- ****** TOP ****** -->

<xsl:template match="/">
	
	<xsl:apply-templates select="dynamic_document">
		<xsl:with-param name="select_type" select="'2'"/>
		<xsl:with-param name="data_type" select="$TARGET_CS_GROUP"/>
		<xsl:with-param name="id" select="$HEADER_ID"/>
	</xsl:apply-templates>
</xsl:template>

<!-- ****** Header ****** -->

<xsl:template match="header">
	<xsl:call-template name="sub_links"/>
	<xsl:call-template name="frame_info"/>

	<xsl:call-template name="title_tab">
		<xsl:with-param name="name" select="concat($GROUP,$DETAIL)"/>
		<xsl:with-param name="image" select="$IMG_GROUP"/>
	</xsl:call-template>

<xsl:element name="table">
	<xsl:attribute name="class">main</xsl:attribute>
	<xsl:attribute name="summary"><xsl:value-of select="concat($GROUP,$DETAIL)"/></xsl:attribute>

	<xsl:element name="tr">
		<xsl:attribute name="style">width:100%</xsl:attribute>
		<xsl:element name="th">
			<xsl:attribute name="style">width:30%</xsl:attribute><xsl:value-of select="$LOGICAL_NAME" />
		</xsl:element>
		<xsl:element name="td"><xsl:value-of select="logical_name" /></xsl:element>
	</xsl:element>

	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$PHYSICAL_NAME" /></xsl:element>
		<xsl:element name="td"><xsl:value-of select="physical_name" /></xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$COMMENT" /></xsl:element>
		<xsl:element name="td"><xsl:value-of select="memo" /></xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$TEXT" /></xsl:element>
		<xsl:element name="td"><xsl:value-of select="text" /></xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$DEFAULT" /></xsl:element>
		<xsl:element name="td"><xsl:value-of select="default_value" /></xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$BASE_CLASS" /></xsl:element>
		<xsl:element name="td">
		<xsl:element name="a">
			<xsl:attribute name="href">
				<xsl:call-template name="create_link">
					<xsl:with-param name="data_type" select="$TARGET_CS_ITEM"/>
					<xsl:with-param name="select_type" select="2"/>
					<xsl:with-param name="id" select="item/id"/>
				</xsl:call-template>
			</xsl:attribute>
			<xsl:value-of select="item/logical_name" /><xsl:element name="br" /><xsl:value-of select="item/physical_name" />
		</xsl:element>
		</xsl:element>
	</xsl:element>
</xsl:element>
<xsl:element name="br" />
</xsl:template>

<!-- ****** DETAIL ****** -->
<xsl:template match="detail">
	<!-- component -->
	<xsl:if test="/dynamic_document/env/href[.='component']">
	<xsl:element name="br" />
	<xsl:element name="table">
		<xsl:attribute name="class">main</xsl:attribute>
		<xsl:attribute name="summary">component</xsl:attribute>
		<xsl:element name="tr">
			<xsl:element name="th"></xsl:element>
			<xsl:element name="th"><xsl:value-of select="concat($COMPONENT,$LOGICAL_NAME)"/></xsl:element>
			<xsl:element name="th"><xsl:value-of select="concat($COMPONENT,$PHYSICAL_NAME)"/></xsl:element>
			<xsl:element name="th">l</xsl:element>
		</xsl:element>
		<xsl:for-each select="record">
			<xsl:element name="tr">
				<xsl:element name="td"><xsl:number level="single" format="1" count="record" /></xsl:element>
				<xsl:element name="td">
					<xsl:element name="a">
						<xsl:attribute name="href">
							<xsl:call-template name="create_link">
								<xsl:with-param name="data_type" select="$TARGET_CS_COMPONENT"/>
								<xsl:with-param name="select_type" select="2"/>
								<xsl:with-param name="id" select="component/id"/>
							</xsl:call-template>
						</xsl:attribute>
						<xsl:value-of select="component/logical_name" />
					</xsl:element>
				</xsl:element>
				<xsl:element name="td"><xsl:value-of select="component/physical_name" /></xsl:element>
				<xsl:element name="td"><xsl:value-of select="value" /></xsl:element>
			</xsl:element>
		</xsl:for-each>
	</xsl:element>
	</xsl:if>	
</xsl:template>

</xsl:stylesheet>
