<?xml version="1.0" encoding="shift_jis"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" > 
<xsl:import href="./common.xsl"/>
<xsl:output method="html" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" />

<!-- ****** TOP ****** -->
<xsl:template match="/">
	<xsl:apply-templates select="dynamic_document">
		<xsl:with-param name="select_type" select="'2'"/>
		<xsl:with-param name="data_type" select="$TARGET_HTML"/>
		<xsl:with-param name="id" select="$HEADER_ID"/>
	</xsl:apply-templates>
</xsl:template>

<!-- ****** HEADER ****** -->
<xsl:template match="header">
	<xsl:call-template name="title_tab">
		<xsl:with-param name="name" select="concat($HTML,$DETAIL)"/>
		<xsl:with-param name="image" select="$IMG_HTML"/>
	</xsl:call-template>

<xsl:element name="table">
	<xsl:attribute name="class">main</xsl:attribute>
	<xsl:attribute name="summary"><xsl:value-of select="$HTML" /><xsl:value-of select="$DETAIL" /></xsl:attribute>

	<xsl:element name="tr">
		<xsl:attribute name="style">width:100%</xsl:attribute>
		<xsl:element name="th">
			<xsl:attribute name="style">width:150px;</xsl:attribute><xsl:value-of select="$LOGICAL_NAME" />
		</xsl:element>
		<xsl:element name="td"><xsl:value-of select="logical_name" /></xsl:element>
	</xsl:element>

	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$PHYSICAL_NAME" /></xsl:element>
		<xsl:element name="td"><xsl:value-of select="physical_name" /></xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$COMMENT" /></xsl:element>
		<xsl:element name="td"><xsl:value-of select="memo" /></xsl:element>
	</xsl:element>
	<!--
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$CREATE_USER" /> (<xsl:value-of select="$CREATE_DATE" />)</xsl:element>
		<xsl:element name="td"><xsl:value-of select="create_user" /> ( <xsl:call-template name="formatdate"><xsl:with-param name="word" select="create_date"/></xsl:call-template> )</xsl:element>
	</xsl:element>
	-->
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$UPDATE_USER" /> (<xsl:value-of select="$UPDATE_DATE" />)</xsl:element>
		<xsl:element name="td"><xsl:value-of select="update_user" /> ( <xsl:call-template name="formatdate"><xsl:with-param name="word" select="update_date"/></xsl:call-template> )</xsl:element>
	</xsl:element>

</xsl:element>

</xsl:template>
<!-- ****** DETAIL ****** -->
<xsl:template match="detail">
	<!-- AGENT -->
	<xsl:if test="/dynamic_document/env/href[.='agent']">
		<xsl:element name="br" />
		<xsl:element name="table">
			<xsl:attribute name="class">main</xsl:attribute>
			<xsl:attribute name="summary">agent</xsl:attribute>
			<xsl:element name="tr">
				<xsl:element name="th"></xsl:element>
				<xsl:element name="th"><xsl:value-of select="$USER_AGENT" /></xsl:element>
				<xsl:element name="th"><xsl:value-of select="$MIME-TYPE" /></xsl:element>
				<xsl:element name="th"><xsl:value-of select="$CHARSET" /></xsl:element>
				<xsl:element name="th"><xsl:value-of select="$HTML" /></xsl:element>
			</xsl:element>
			<xsl:for-each select="record">
				<xsl:element name="tr">
					<xsl:element name="td">
						<xsl:attribute name="class">image</xsl:attribute><xsl:call-template name="image_of_ssub"/>
					</xsl:element>
					<xsl:element name="td"><xsl:value-of select="user_agent" /></xsl:element>
					<xsl:element name="td"><xsl:value-of select="mime_type" /></xsl:element>
					<xsl:element name="td"><xsl:value-of select="charset" /></xsl:element>
					<xsl:element name="td">
						<xsl:element name="a">
							<xsl:attribute name="href">
								<xsl:call-template name="create_link">
									<xsl:with-param name="data_type" select="$TARGET_HTML_SOURCE"/>
									<xsl:with-param name="select_type" select="1"/>
									<xsl:with-param name="id" select="./id"/>
								</xsl:call-template>
							</xsl:attribute>
							Source
						</xsl:element>
					</xsl:element>
				</xsl:element>
			</xsl:for-each>
		</xsl:element>
	</xsl:if>
	<!-- CLIENT -->
	<xsl:if test="$HREF = 'hamc'">
		<xsl:call-template name="frames" />
	</xsl:if>

</xsl:template>

</xsl:stylesheet>
