<?xml version="1.0" encoding="shift_jis"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" > 
<xsl:import href="./common.xsl"/>
<xsl:output method="html" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" />


<!-- ****** TOP ****** -->
<xsl:template match="/">
	<xsl:apply-templates select="dynamic_document">
		<xsl:with-param name="select_type" select="'2'"/>
		<xsl:with-param name="data_type" select="$TARGET_SMC_DC"/>
		<xsl:with-param name="id" select="$HEADER_ID"/>
	</xsl:apply-templates>
</xsl:template>

<!-- ****** HEADER ****** -->
<xsl:template match="header">
	<xsl:call-template name="sub_links"/>
	<xsl:call-template name="server_info"/>

	<xsl:variable name="name"><xsl:value-of select="$DC" /><xsl:value-of select="$DETAIL" /></xsl:variable>
	<xsl:variable name="image"><xsl:value-of select="$IMG_DC" /></xsl:variable>
	<xsl:call-template name="title_tab">
		<xsl:with-param name="name" select="$name"/>
		<xsl:with-param name="image" select="$image"/>
	</xsl:call-template>

<xsl:element name="table">
	<xsl:attribute name="class">main</xsl:attribute>
	<xsl:attribute name="summary"><xsl:value-of select="$DC" /><xsl:value-of select="$DETAIL" /></xsl:attribute>

	<xsl:element name="tr">
		<xsl:attribute name="style">width:100%</xsl:attribute>
		<xsl:element name="th">
			<xsl:attribute name="style">width:150px;</xsl:attribute><xsl:value-of select="$LOGICAL_NAME" />
		</xsl:element>
		<xsl:element name="td"><xsl:value-of select="logical_name" /></xsl:element>
	</xsl:element>

	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$PHYSICAL_NAME" /></xsl:element>
		<xsl:element name="td"><xsl:value-of select="physical_name" /></xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$COMMENT" /></xsl:element>
		<xsl:element name="td"><xsl:value-of select="memo" /></xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$PARAMETER" /></xsl:element>
		<xsl:element name="td"><xsl:value-of select="param" /></xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$DC" /></xsl:element>
		<xsl:element name="td">
			<xsl:element name="a">
				<xsl:attribute name="href">
					<xsl:call-template name="create_link">
						<xsl:with-param name="data_type" select="$TARGET_DAT_DC"/>
						<xsl:with-param name="select_type" select="2"/>
						<xsl:with-param name="id" select="dc/id"/>
					</xsl:call-template>
				</xsl:attribute>
				<xsl:value-of select="dc/logical_name" /><xsl:element name="br" /><xsl:value-of select="dc/physical_name" />
			</xsl:element>
		</xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$SAMC" /><xsl:value-of select="$BUSINESSRULE" /></xsl:element>
		<xsl:element name="td">
			<xsl:element name="a">
				<xsl:attribute name="href">
					<xsl:call-template name="create_link">
						<xsl:with-param name="data_type" select="$TARGET_SMC_RULE"/>
						<xsl:with-param name="select_type" select="2"/>
						<xsl:with-param name="id" select="srule/id"/>
					</xsl:call-template>
				</xsl:attribute>
				<xsl:value-of select="srule/logical_name" /><xsl:element name="br" /><xsl:value-of select="srule/physical_name" />
			</xsl:element>
		</xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$OUT_DC" /></xsl:element>
		<xsl:element name="td">
			<xsl:element name="a">
				<xsl:attribute name="href">
					<xsl:call-template name="create_link">
						<xsl:with-param name="data_type" select="$TARGET_SMC_DC"/>
						<xsl:with-param name="select_type" select="2"/>
						<xsl:with-param name="id" select="outdc/id"/>
					</xsl:call-template>
				</xsl:attribute>
				<xsl:value-of select="outdc/logical_name" /><xsl:element name="br" /><xsl:value-of select="outdc/physical_name" />
			</xsl:element>
		</xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$CONNECTION_DB" /></xsl:element>
		<xsl:element name="td"><xsl:value-of select="connect_db" /></xsl:element>
	</xsl:element>

</xsl:element>

</xsl:template>

<!-- ****** DETAIL ****** -->
<xsl:template match="detail">
	<!-- RECORD -->
	<xsl:if test="$HREF = 'io'">
		<xsl:call-template name="write_bdata_record"/>
	</xsl:if>
	<xsl:if test="$HREF = 'btran'">
		<xsl:call-template name="tran_table">
			<xsl:with-param name="data_type" select="$TARGET_SMC_TRAN"/>
		</xsl:call-template>
	</xsl:if>
</xsl:template>


</xsl:stylesheet>
